*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
}


body {
    background-color: #212121;
}

nav{
    background-color: black;
    display: flex;
    justify-content: space-around;
    align-items: center;
    min-height: 8vh;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
}
p.bas {
    color: white;
}
a{
    color: #212121;
}
a.lien:hover {
    color: red;
}
a.lien:visited{
    color: white;
}
footer{
    background-color: black;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
}

h1 {
    font-family: 'Montserrat', sans-serif;
}

.logo {
    color: rgb(226, 226, 226);
    text-transform: uppercase;
    letter-spacing: 5px;
    font-size: 20px;
}

.nav-liens {
    display: flex;
    justify-content: space-around;
    width: 40%;
}
.nav-liens li {
    list-style: none;
}
.nav-liens a{
    color: rgb(226, 226, 226);
    text-decoration: none;
    letter-spacing: 3px;
}
.menu-barres{
    display: none;
    cursor: pointer;
}
.menu-barres div{
    width: 25px;
    height: 3px;
    background-color: rgb(226, 226, 226);
    margin: 5px;
}
@media screen and (max-width:1024px){
    .nav-liens {
        width: 60%;
    }
}
@media screen and (max-width:768px){
    body{
        overflow-x: hidden;
    }
    .nav-liens{
        position: absolute;
        right: 0px;
        height: 92vh;
        top: 8vh;
        background-color: #FFFFFF;
        display: flex;
        flex-direction: column;
        align-items: center;
        width: 50%;
        transform: translateX(100%);
        transition: transform 0.5s ease-in;
    }
    .nav-liens li {
        opacity: 0;
    }
    .menu-barres{
        display: block;
    }
}

.nav-actif{
    transform: translateX(0%);
}

@keyframes navLinkFades {
    from{
        opacity: 0;
        transform: translateX(50px);
    }
    to {
        opacity: 1;
        transform: translateX(0px);
    }
}

div.projets{
    padding-right: 96vh;
}

h1.project {
    color: white;
}

div.div-connexion {
    background-color: white;
    border-radius: 5px;
}

a.lien-connexion {
    color: black;
    font-size: 18px;
}